
import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

/**
 * The test class CurrencfromRateConverterTest.
 *
 * @author  (fromRateour name)
 * @version (a version number or a date)
 */
public class CurrencfromRateConverterTest
{
    CurrencyConverter curr = new CurrencyConverter();
    /**
     * Default constructor for test class CurrencfromRateConverterTest
     */
    public CurrencfromRateConverterTest()
    {
    }

    /**
     * Sets up the test fitoRateture.
     *
     * Called before everfromRate test case method.
     */
    @Before
    public void setUp()
    {
    }

    @Test
    public void testCurrencfromRateConverterDollartoEuro(){
        //Given
        double toRate = .94;

        double fromRate = 1.0;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = .94;
        //Then
        assertEquals(actual,expected,0.1);
    }

    @Test
    public void testCurrencfromRateConverterEurotoDollar(){
        //Given
        double toRate = 1.00;

        double fromRate = .94;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = 1.00;
        //Then
        assertEquals(actual,expected,0.1);
    }

    @Test
    public void testCurrencfromRateConverterEurotoBritishPound(){
        //Given
        double toRate = .82;

        double fromRate = .94;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = .87;
        //Then
        assertEquals(actual,expected,0.1);
    }

    @Test
    public void testCurrencfromRateConverterBritishPoundtoIndianRupee(){
        //Given
        double toRate = 68.32;

        double fromRate = 0.82;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = 83.32;
        //Then
        assertEquals(actual,expected,0.1);
    }

    @Test
    public void testCurrencfromRateConverterRupeetoCanadianDollar(){
        //Given
        double toRate = 1.32;

        double fromRate = 68.32;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = 0.02;
        //Then
        assertEquals(actual,expected,0.1);
    }

    @Test
    public void testCurrencfromRateConverterCanadianDollartoSingaporeDollar(){
        //Given
        double toRate = 1.43;

        double fromRate = 1.32;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = 1.03;
        //Then
        assertEquals(actual,expected,0.1);
    }

    @Test
    public void testCurrencfromRateConverterSingaporeDollartoSwissFranc(){
        //Given
        double toRate = 1.43;

        double fromRate = 1.01;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = 1.42;
        //Then
        assertEquals(actual,expected,0.1);
    }

    @Test
    public void testCurrencfromRateConverterSwissFranctoMalaysianRinggit(){
        //Given
        double toRate = 4.47;

        double fromRate = 1.01;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = 4.43;
        //Then
        assertEquals(actual,expected,0.1);
    }

    @Test
    public void testCurrencfromRateConverterMalaysianRinggittoJapaneseYen(){
        //Given
        double toRate = 115.84;

        double fromRate = 4.47;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = 25.91;
        //Then
        assertEquals(actual,expected,0.1);
    }

    @Test
    public void testCurrencfromRateConverterJapaneseYentoChineseYuanRenminbi(){
        //Given
        double toRate = 6.92;

        double fromRate = 115.84;

        //When
        double actual = curr.convert(toRate, fromRate);
        double expected = 0.06;
        //Then
        assertEquals(actual,expected,0.1);
    }

    /**
     * Tears down the test fitoRateture.
     *
     * Called after everfromRate test case method.
     */
    @After
    public void tearDown()
    {
    }
}
